about summary refs log tree commit diff
path: root/test/pgmnoise-parameters.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pgmnoise-parameters.test')
-rwxr-xr-xtest/pgmnoise-parameters.test26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/pgmnoise-parameters.test b/test/pgmnoise-parameters.test
new file mode 100755
index 00000000..1682afca
--- /dev/null
+++ b/test/pgmnoise-parameters.test
@@ -0,0 +1,26 @@
+#! /bin/bash
+# This script tests: pgmnoise
+# Also requires:
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+echo 1>&2
+echo "Invalid command-line argument combinations." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+pgmnoise -maxval=255  -randomseed=1 > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+
+pgmnoise 100 -randomseed=1 > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+
+pgmnoise 100 0 -randomseed=1 > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+
+pgmnoise 0 100 -randomseed=1 > ${test_out} || \
+   echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+
+pgmnoise 100 100 100 -randomseed=1 > ${test_out} || \
+   echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?